package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiTitle;
import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiTitleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface VideoGrowthMultiTitleMapper {
    long countByExample(VideoGrowthMultiTitleExample example);

    int deleteByExample(VideoGrowthMultiTitleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(VideoGrowthMultiTitle record);

    int insertSelective(VideoGrowthMultiTitle record);

    List<VideoGrowthMultiTitle> selectByExample(VideoGrowthMultiTitleExample example);

    VideoGrowthMultiTitle selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") VideoGrowthMultiTitle record, @Param("example") VideoGrowthMultiTitleExample example);

    int updateByExample(@Param("record") VideoGrowthMultiTitle record, @Param("example") VideoGrowthMultiTitleExample example);

    int updateByPrimaryKeySelective(VideoGrowthMultiTitle record);

    int updateByPrimaryKey(VideoGrowthMultiTitle record);
}